#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

import sys
import os
import platform as stdlib_platform

from xiv_xsf.utils.osutils import import_module_by_os, get_os_name

classes = import_module_by_os("hostattachment.platform", "classes")

FCAttachment = classes.FCAttachment
ISCSIAttachment = classes.ISCSIAttachment

# Add 'platform' dir to PYTHONPATH.
sys.path.append(os.path.join(os.path.dirname(__file__), get_os_name()))
