#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

import os
import time

def generate_backup_filename(dir, file):
    """
    >>> generate_backup_filename("/tmp", "mytest")
    '/tmp/test.20092710165213'
    """
    backup_file = "%s%s%s.%s" % (dir, os.path.sep, file,
                                 time.strftime("%Y%m%d%H%M%S"))

    return backup_file
