#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#-------------------------------------------------------------------------------------------------

import os

from xpyv import project_root_path

root_dir = project_root_path.find()
etc_dir = os.path.join(root_dir, "etc", "linux")

UDEV_RULES_SOURCE = os.path.join(etc_dir, 'udev.rules')
MULTIPATH_CONF_SOURCE = os.path.join(etc_dir, 'multipath.conf')
ISCSI_CONF_SOURCE = os.path.join(etc_dir, 'iscsi.conf')
ISCSID_CONF_SOURCE = os.path.join(etc_dir, 'iscsid.conf')

MAX_LUN_SCAN = 256
