#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

from hostattachment.translation import *

CANT_OPEN_ANY_FILE_OF_LIST = 'Cannot open ANY file of the following list:\n'
NO_ISCSI_WAS_DETECTED = "iSCSI software was not detected. Refer to the guide for more info."
DAEMON_NOT_RUNNING = 'Daemon "%s" is not running'
SERVICE_NOT_ENABLED = 'Service "%s" is not enabled'
FAILED_ENABLING_SERVICE = 'chkconfig command has failed enabling service "%s" in runlevels %s'
FAILED_REGISTERING_SERVICE = 'chkconfig command has failed registering service "%s"'
RESCANNING_MIGHT_TAKE_A_WHILE = "Rescanning FC for devices, this may take a while..."
RESCAN_ENDED = "Rescanning has ended"
UDEV_RULE_CONFIG_SUCCESS = 'udev rule "%s" was configured successfully'
UDEV_RULE_CONFIG_FAILURE = 'Failed updating udev rule "%s"'
UDEV_RULE_NOT_CONFIGURED = 'udev not configured (udev rules file "%s" is not identical to the XIV-configured file)'
CANT_FIND_ANY_FILE = 'Cannot find any of the following files:\n%s'
UDEV_RULES_FILE_DOESNT_EXIST = 'udev not configured (rules file "%s" doesn\'t exist)'
FAILED_READING_FILE = 'Failed reading file "%s"'
BAD_INITIATOR_NAME = 'bad initiatorname file (absent, empty or illegal).\n' + \
                      'Looks like iscsi is not configured.'
MULTIPATH_CONF_IS_EMPTY = 'multipath.conf is empty'
REMOVING_BAD_LUNS = "Removing LUNs that don't answer to SCSI Test Unit Ready"
ISCSI_DAEMON_RELOAD = 'Reloading iSCSI daemon'
BACKING_UP_SRC_TO_DST = 'Backing up original "%s" to "%s"'
FAILED_RETRIEVING_WWN = 'Failed retrieving WWN of "%s"'
UDEV_TRIGGERED = "Triggered udev successully"
UDEV_TRIGGER_FAILED = "Failed triggering udev. This happens on old distributions usually, and usually has no meaning."
MANUAL_ISCSI_RESTART_IS_NEEDED = "iscsi configuration was updated. For the change to take effect, you need to manually restart the iscsi service.\n" + \
                                 "Note that restarting iscsi might cause a short disconnection of other iscsi sessions on this host"
