#-------------------------------------------------------------------------------------------------
# Copyright (c) International Business Machines Corp., 2009
#
# IBM XIV Storage System Software
#
# Licensed materials provided under the terms of the IBM International Program
# License Agreement. See the Software
# licensing materials that came with the IBM XIV Storage System for terms and
# conditions.
#
#------------------------------------------------------------------------------------------------- 

import sys
import logging
from hostattachment import xiv_admin_utils, definitions
from hostattachment.exceptions import HostAttachmentError

def main():
    try:
        return xiv_admin_utils.handle_commandline_arguments(definitions.ATTACHMENT_ISCSI)
    except HostAttachmentError as e:
        logging.error(str(e))
        sys.exit("Error: " + str(e))

